Package org.apache.qpid.proton.codec

# Interface SymbolType.SymbolEncoding

All Superinterfaces:
  `PrimitiveTypeEncoding<Symbol>`, `TypeConstructor<Symbol>`, `TypeEncoding<Symbol>`

Enclosing class:
  SymbolType

public static interface SymbolType.SymbolEncoding extends PrimitiveTypeEncoding<Symbol>

## Method Summary

### Methods inherited from interface org.apache.qpid.proton.codec.PrimitiveTypeEncoding

`getConstructorSize, getEncodingCode, getType, writeConstructor`

### Methods inherited from interface org.apache.qpid.proton.codec.TypeConstructor

`encodesJavaPrimitive, getTypeClass, readValue, skipValue`

### Methods inherited from interface org.apache.qpid.proton.codec.TypeEncoding

`encodesJavaPrimitive, encodesSuperset, getValueSize, isFixedSizeVal, writeValue`